Subject: Strange code in head.S

From: Sylvain Munaut <[email-masked]>
Date: Fri, 05 Mar 2004 14:23:47 +0100

Hello,

While looking at head.S, I noticed that in the FTR Section
CPU_FTR_HAS_HIGH_BATS, the register used during all the mtspr
SPRN_DBATxx,r20 is r20.
But shouldn't it be r10 ?
In the 2.4 version it was r20 but for all the preceding code of
clear_bat, it has been replaced with r10 but not in the FTR ...

Maybe I'm wrong, I'm not working on an arch that uses it. It's just
seems strange to me ...

Sylvain Munaut

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/